> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/consumers/payments/list-transfer-responses/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # List Transfer Responses GET https://api.upwardli.com/v2/consumers/{consumer_external_id}/payments/transfer Get User Book Transfer History Reference: https://developers.upwardli.com/api-access/api-reference/consumers/payments/list-transfer-responses ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `consumer_external_id` (string, required) ### Query parameters - `limit` (integer, optional) — Number of results to return per page. - `offset` (integer, optional) — The initial index from which to return the results. - `search` (string, optional) — A search term. ## Response ### 200 - `count` (integer, required) - `results` (list of GetTransferResponse, required) - `next` (string, optional, nullable) - `previous` (string, optional, nullable) ## Types ### GetTransferResponse - `id` (string, required) - `amount` (double, required) - `originating_account_id` (string, required) - `receiving_account_id` (string, required) - `status` (string, required) - `description` (string, optional) ## Examples **Response** ```json { "count": 123, "results": [ { "id": "string", "amount": 1.1, "originating_account_id": "string", "receiving_account_id": "string", "status": "string", "description": "string" } ], "next": "http://api.example.org/accounts/?offset=400&limit=100", "previous": "http://api.example.org/accounts/?offset=200&limit=100" } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/consumers/consumer_external_id/payments/transfer" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/consumers/consumer_external_id/payments/transfer'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/consumers/consumer_external_id/payments/transfer" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/consumers/consumer_external_id/payments/transfer") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.upwardli.com/v2/consumers/consumer_external_id/payments/transfer") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.upwardli.com/v2/consumers/consumer_external_id/payments/transfer', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/consumers/consumer_external_id/payments/transfer"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/consumers/consumer_external_id/payments/transfer")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```